# searching ppc directory as a fallback to avoid unnecessary code duplication
.PATH: ${.CURDIR}/ppc/sys ${.CURDIR}/ppc64/sys

MDSRCS+=  ATPgetreq.s \
	ATPgetrsp.s \
	ATPsndreq.s \
	ATPsndrsp.s \
	ATgetmsg.s \
	ATputmsg.s \
	ATsocket.s \
	OSAtomic.s \
	_exit.s \
	__fcntl.s \
	_getlogin.s \
	__ioctl.s \
	_longjmp.s \
	__mmap.s \
	_pthread_kill.s \
	__pthread_canceled.s \
	__pthread_markcancel.s \
	__semwait_signal.s \
	_setjmp.s \
	_setlogin.s \
	_sysctl.s \
	accept.s \
	access.s \
	acct.s \
	add_profil.s \
	adjtime.s \
	aio_cancel.s \
	aio_error.s \
	aio_fsync.s \
	aio_read.s \
	aio_return.s \
	aio_suspend.s \
	aio_write.s \
	audit.s \
	auditctl.s \
	auditon.s \
	bind.s \
	cerror.s \
	chdir.s \
	checkuseraccess.s \
	chflags.s \
	chmod.s \
	chown.s \
	chroot.s \
	close.s \
	connect.s \
	dup.s \
	dup2.s \
	exchangedata.s \
	execve.s \
	fchdir.s \
	fchflags.s \
	fchmod.s \
	fchown.s \
	fgetxattr.s  \
	fhopen.s \
	flistxattr.s  \
	flock.s \
	fork.s \
	fpathconf.s \
	fremovexattr.s  \
	fsctl.s \
	fsetxattr.s  \
	fstat.s \
	fstatfs.s \
	fstatv.s \
	fsync.s \
	ftruncate.s \
	futimes.s \
	getattrlist.s \
	getaudit.s \
	getaudit_addr.s \
	getauid.s \
	getdirentries.s \
	getdirentriesattr.s \
	getdtablesize.s \
	getegid.s \
	geteuid.s \
	getfh.s \
	getfsstat.s \
	getgid.s \
	getgroups.s \
	getitimer.s \
	getpeername.s \
	getpgid.s \
	getpgrp.s \
	getpid.s \
	getppid.s \
	getpriority.s \
	getrlimit.s \
	getrusage.s \
	getsid.s \
	getsockname.s \
	getsockopt.s \
	getuid.s \
	getxattr.s  \
	issetugid.s \
	kevent.s \
	kill.s \
	kqueue.s \
	kqueue_from_portset_np.s \
	kqueue_portset_np.s \
	ktrace.s \
	lchown.s \
	link.s \
	lio_listio.s \
	listen.s \
	listxattr.s  \
	load_shared_file.s \
	longjmp.s \
	lseek.s \
	lstat.s \
	lstatv.s \
	madvise.s \
	mincore.s \
	minherit.s \
	mkcomplex.s \
	mkdir.s \
	mkfifo.s \
	mknod.s \
	mlock.s \
	mlockall.s \
	mount.s \
	msgctl.s \
	msgget.s \
	msgrcv.s \
	msgsnd.s \
	msgsys.s \
	munlock.s \
	munlockall.s \
	new_system_shared_regions.s \
	nfsclnt.s \
	nfssvc.s \
	open.s \
	pathconf.s \
	pipe.s \
	poll.s \
	posix_madvise.s \
	ppc_gettimeofday.s \
	pread.s \
	processor_facilities.s \
	profil.s \
	pthread_sigmask.s \
	ptrace.s \
	pwrite.s \
	quota.s \
	quotactl.s \
	read.s \
	readlink.s \
	readv.s \
	reboot.s \
	recvfrom.s \
	recvmsg.s \
	removexattr.s  \
	rename.s \
	reset_shared_file.s \
	revoke.s \
	rmdir.s \
	searchfs.s \
	select.s \
	sem_close.s \
	sem_destroy.s \
	sem_getvalue.s \
	sem_init.s \
	sem_post.s \
	sem_trywait.s \
	sem_wait.s \
	semctl.s \
	semget.s \
	semop.s \
	semsys.s \
	sendmsg.s \
	sendto.s \
	setattrlist.s \
	setaudit.s \
	setaudit_addr.s \
	setauid.s \
	setegid.s \
	seteuid.s \
	setgid.s \
	setgroups.s \
	setitimer.s \
	setjmp.s \
	setpgid.s \
	setpriority.s \
	setprivexec.s \
	setquota.s \
	setrlimit.s \
	setsid.s \
	setsockopt.s \
	settimeofday.s \
	setuid.s \
	setxattr.s  \
	shmat.s \
	shmctl.s \
	shmdt.s \
	shmget.s \
	shmsys.s \
	shutdown.s \
	sigaltstack.s \
	sigpending.s \
	sigprocmask.s \
	sigreturn.s \
	sigwait.s \
	socket.s \
	socketpair.s \
	stat.s \
	statfs.s \
	statv.s \
	swapon.s \
	symlink.s \
	sync.s \
	syscall.s \
	systable.s \
	truncate.s \
	umask.s \
	undelete.s \
	unlink.s \
	unmount.s \
	utimes.s \
	vfork.s \
	wait4.s \
	write.s \
	writev.s 

MISRCS+= fcntl64.c ioctl64.c

.for _src in fhopen.s getfh.s nfsclnt.s
CFLAGS-${_src} += -DNFSCLIENT
.endfor

CFLAGS-nfssvc.s += -DNFSSERVER

# for ppc64-specific assembly code, use the SYS.h in ppc/sys
.for _src in __fcntl.s __ioctl.s
CFLAGS-${_src} += -I${.CURDIR}/ppc/sys
.endfor
